"use client";
import { __exports as i } from "../../../../../_virtual/cloneDeepWith2.js";
import { __require as h } from "../../object/cloneDeepWith.js";
import { __require as d } from "../_internal/tags.js";
var c;
function W() {
  return c ? i : (c = 1, (function(o) {
    Object.defineProperty(o, Symbol.toStringTag, { value: "Module" });
    const n = /* @__PURE__ */ h(), t = /* @__PURE__ */ d();
    function a(e, s) {
      return n.cloneDeepWith(e, (l, p, f, g) => {
        const u = s?.(l, p, f, g);
        if (u !== void 0)
          return u;
        if (typeof e == "object")
          switch (Object.prototype.toString.call(e)) {
            case t.numberTag:
            case t.stringTag:
            case t.booleanTag: {
              const r = new e.constructor(e?.valueOf());
              return n.copyProperties(r, e), r;
            }
            case t.argumentsTag: {
              const r = {};
              return n.copyProperties(r, e), r.length = e.length, r[Symbol.iterator] = e[Symbol.iterator], r;
            }
            default:
              return;
          }
      });
    }
    o.cloneDeepWith = a;
  })(i), i);
}
export {
  W as __require
};
